js_cputime.d(1m)

NAME
js_cputime.d - measure JavaScript on-CPU times for types of operation.

SYNOPSIS
js_cputime.d

DESCRIPTION
This traces JavaScript activity from all browsers running on the system with JavaScript provider support. Filename and function names are printed if available.

OS
Any

STABILITY
Evolving - uses the DTrace JavaScript provider, which may change as additional features are introduced. Check JavaScript/Readme to see what version these scripts are based on.

EXAMPLES

Default output,
    # js_cputime.d

FIELDS

FILE
    Filename of the JavaScript program

TYPE
    Type of call (func/obj-new/gc/total)

NAME
    Name of call

TOTAL
    Total on-CPU time for calls (us)

DOCUMENTATION
See the DTraceToolkit for further documentation under the Examples, Notes and Docs directories. The example files may be especially useful as they aim to demonstrate how to interpret the output.

EXIT
js_cputime.d will run until Ctrl-C is hit.

AUTHOR
Brendan Gregg [CA, USA]

SEE ALSO
dtrace(1M)